package com.ynet.life.security.crypto;

import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.security.crypto.DESEntry;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

public class DESUtil {

   private static final String SQL_SECRET_KEY = "SELECT KEY_VALUE FROM SECRET_KEY WHERE KEY_TYPE = ?";


   public static String getDecryptStr(String value, String keyType) throws GENEException {
      try {
         return decrypt(getKey(keyType), (String)value);
      } catch (Exception var2) {
         var2.printStackTrace();
         return value;
      }
   }

   public static String encrypt(String digestHexStr, String i1) {
      if(digestHexStr != null && i1 != null) {
         DESEntry i = new DESEntry();
         byte[] var4 = digestHexStr.getBytes();
         byte[] byte2 = new byte[3000];
         byte[] var5 = i1.getBytes();
         int var6 = i.ENCRYPT(var4, var5, byte2, var5.length);
         digestHexStr = "";

         for(int var7 = 0; var7 < var6; ++var7) {
            digestHexStr = digestHexStr + DESEntry.byteHEX(byte2[var7]);
         }

         return digestHexStr;
      } else {
         return null;
      }
   }

   public static String encrypt(String digestHexStr, byte[] i1) {
      if(digestHexStr != null && i1 != null) {
         DESEntry i = new DESEntry();
         byte[] var4 = DESEntry.hexStr2ByteArr(digestHexStr);
         byte[] byte2 = new byte[3000];
         int var5 = i.ENCRYPT(var4, i1, byte2, i1.length);
         digestHexStr = "";

         for(int var6 = 0; var6 < var5; ++var6) {
            digestHexStr = digestHexStr + DESEntry.byteHEX(byte2[var6]);
         }

         return digestHexStr;
      } else {
         return null;
      }
   }

   public static byte[] getEncryptByte(String i, byte[] destByte) {
      byte[] byte2 = new byte[3000];
      int var4;
      destByte = new byte[var4 = (new DESEntry()).ENCRYPT(DESEntry.hexStr2ByteArr(i), destByte, byte2, destByte.length)];

      for(int j = 0; j < var4; ++j) {
         destByte[j] = byte2[j];
      }

      return destByte;
   }

   public static String decrypt(String i, String byteMiW) {
      if(i != null && byteMiW != null) {
         DESEntry m = new DESEntry();
         byte[] i1 = DESEntry.hexStr2ByteArr(i);
         byte[] byteMiW1 = DESEntry.hexStr2ByteArr(byteMiW);
         byte[] byteMingW = new byte[3000];
         int i2 = m.DECRYPT(i1, byteMingW, byteMiW1, byteMiW1.length);
         return new String(byteMingW, 0, i2);
      } else {
         return null;
      }
   }

   public static String decryptKey(String i2, String i) {
      if(i2 != null && i != null) {
         DESEntry m = new DESEntry();
         String digestHexStr = "";
         byte[] var5 = DESEntry.hexStr2ByteArr(i2);
         byte[] var7 = DESEntry.hexStr2ByteArr(i);
         byte[] byteMingW = new byte[3000];
         int var6 = m.DECRYPT(var5, byteMingW, var7, var7.length);

         for(int var8 = 0; var8 < var6; ++var8) {
            digestHexStr = digestHexStr + DESEntry.byteHEX(byteMingW[var8]);
         }

         if(digestHexStr.length() > 16) {
            digestHexStr = digestHexStr.substring(0, 15);
         }

         return digestHexStr;
      } else {
         return null;
      }
   }

   public static String decrypt(String i, byte[] byteMiW) {
      if(i != null && byteMiW != null) {
         DESEntry m = new DESEntry();
         byte[] i1 = DESEntry.hexStr2ByteArr(i);
         byte[] byteMingW = new byte[3000];
         int i2 = m.DECRYPT(i1, byteMingW, byteMiW, byteMiW.length);
         return new String(byteMingW, 0, i2);
      } else {
         return null;
      }
   }

   public static String getKey(String resultList) throws GENEException {
      Connection connection = null;

      try {
         connection = LifeDBAccess.getConnection();
         ArrayList inputList = new ArrayList();
         new ArrayList();
         inputList.add(resultList);
         List resultList1;
         if((resultList1 = LifeDBAccess.queryMultipleResult(connection, "SELECT KEY_VALUE FROM SECRET_KEY WHERE KEY_TYPE = ?", inputList, 1)).size() <= 0) {
            return null;
         }

         resultList = (String)((List)resultList1.get(0)).get(0);
      } catch (Exception var5) {
         var5.printStackTrace();
         return null;
      } finally {
         LifeDBAccess.releaseConnection(connection);
      }

      return resultList;
   }

   public static void main(String[] test) {
      byte[] test1 = DESEntry.hexStr2ByteArr(encrypt("A6F84A76", (String)"111111"));
      System.out.print(DESEntry.bytesToHexString(test1));
   }
}
